<?php
namespace BrandCo\Plugins\KWCommand;

class Ajax {

	public static function add_allowed_origins($origins) {
		$origins[] = 'https://www' . Util::get_cookie_domain();
		$origins[] = 'https://search' . Util::get_cookie_domain();
		$origins[] = 'https://homes' . Util::get_cookie_domain();
		$origins[] = 'https://listings' . Util::get_cookie_domain();
		$origins[] = 'https://searching' . Util::get_cookie_domain();
		return $origins;
	}

	public static function log_activity() {
		check_ajax_referer('kwcmd', 'security');

		$visitor_id = $_POST['visitor_id'];
		$type = $_POST['type'];
		$data = $_POST['data'];

		$activity = Activity::save($visitor_id, $type, $data);
		$visitor = Visitor::get($visitor_id);

		wp_send_json_success(array(
			'activity' => $activity,
			'visitor' => $visitor,
		));
	}

	public static function identify_user() {
		check_ajax_referer('kwcmd', 'security');

		$data = json_decode(html_entity_decode(stripslashes($_POST['data'])), true);

		if ( !empty($data['email_address']) ) {
			Visitor::update($_POST['cookie_id'], 'email_address', $data['email_address']);
		}

		if ( !empty($data['first_name']) ) {
			Visitor::update($_POST['cookie_id'], 'first_name', $data['first_name']);
		}

		if ( !empty($data['last_name']) ) {
			Visitor::update($_POST['cookie_id'], 'last_name', $data['last_name']);
		}

		if ( !empty($data['phone_number']) ) {
			Visitor::update($_POST['cookie_id'], 'phone_number', $data['phone_number']);
		}

		wp_send_json_success(array(
			'cookie' => $_POST['cookie_id'],
			'data' => $data,
		));
	}

	public static function kw_api_ping() {
		$request = new KWCommandRequest('GET', KW_COMMAND_PLUGIN_ENDPOINT . '/v3/contacts');
		$response = $request->send_request();

		wp_send_json_success(array(
			'request' => $request,
			'response' => $response,
		));
	}

	public static function disconnect_kw_auth() {
		update_option('kw_command_settings_access_token', '');
		update_option('kw_command_settings_refresh_token', '');
		update_option('kw_command_settings_access_token_expires', '');

		wp_send_json_success(array(
			'disconnected' => true,
		));
	}

	public static function refresh_kw_auth() {
		$response = KWCommandAuth::refresh($_POST['connection_token']);

		wp_send_json_success(array(
			'response' => $response,
		));
	}
}
