<?php
namespace BrandCo\Plugins\KWCommand;

use WPCF7_Submission;

class ContactForms7 {

	public static function after_submit($cf7) {
		$submission = WPCF7_Submission::get_instance();
		$posted_data = $submission->get_posted_data();

		$visitor = Visitor::get();
		$activity_data = array();
		$activity_data['origin_plugin'] = 'CF7 Forms';

		$entire_submission = '';

		foreach ( $posted_data as $label => $value ) {
			$entire_submission .= $label . ': ' . $value  . " <br>";
		}

		if ( $entire_submission ) {
			$activity_data['entire_submission'] = $entire_submission;
		}

		$activity_data['cf7_submission'] = $posted_data;

		if ( !empty($posted_data['first-name']) ) {
			$first_name = sanitize_text_field($posted_data['first-name']);
			Visitor::update($visitor['id'], 'first_name', $first_name);
		}

		if ( !empty($posted_data['firstname']) ) {
			$first_name = sanitize_text_field($posted_data['firstname']);
			Visitor::update($visitor['id'], 'first_name', $first_name);
		}

		if ( !empty($posted_data['your-first-name']) ) {
			$first_name = sanitize_text_field($posted_data['your-first-name']);
			Visitor::update($visitor['id'], 'first_name', $first_name);
		}

		if ( !empty($posted_data['last-name']) ) {
			$last_name = sanitize_text_field($posted_data['last-name']);
			Visitor::update($visitor['id'], 'last_name', $last_name);
		}

		if ( !empty($posted_data['lastname']) ) {
			$last_name = sanitize_text_field($posted_data['lastname']);
			Visitor::update($visitor['id'], 'last_name', $last_name);
		}

		if ( !empty($posted_data['your-last-name']) ) {
			$last_name = sanitize_text_field($posted_data['your-last-name']);
			Visitor::update($visitor['id'], 'last_name', $last_name);
		}

		if ( !empty($posted_data['phone-number']) ) {
			$phone_number = sanitize_text_field($posted_data['phone-number']);
			Visitor::update($visitor['id'], 'phone_number', $phone_number);
		}

		if ( !empty($posted_data['your-phone-number']) ) {
			$phone_number = sanitize_text_field($posted_data['your-phone-number']);
			Visitor::update($visitor['id'], 'phone_number', $phone_number);
		}

		if ( !empty($posted_data['your-phone']) ) {
			$phone_number = sanitize_text_field($posted_data['your-phone']);
			Visitor::update($visitor['id'], 'phone_number', $phone_number);
		}

		if ( !empty($posted_data['phone']) ) {
			$phone_number = sanitize_text_field($posted_data['phone']);
			Visitor::update($visitor['id'], 'phone_number', $phone_number);
		}

		if ( !empty($posted_data['your-email']) ) {
			$email_address = sanitize_email($posted_data['your-email']);
			Visitor::update($visitor['id'], 'email_address', $email_address);
		}

		if ( !empty($posted_data['email-address']) ) {
			$email_address = sanitize_email($posted_data['email-address']);
			Visitor::update($visitor['id'], 'email_address', $email_address);
		}

		if ( !empty($posted_data['email']) ) {
			$email_address = sanitize_email($posted_data['email']);
			Visitor::update($visitor['id'], 'email_address', $email_address);
		}

		if ( !empty($posted_data['your-name']) ) {
			$name = Util::parse_name($posted_data['your-name']);

			if ( !empty($name['first_name']) ) {
				$first_name = $name['first_name'];
				Visitor::update($visitor['id'], 'first_name', $first_name);
			}

			if ( !empty($name['last_name']) ) {
				$last_name = $name['last_name'];
				Visitor::update($visitor['id'], 'last_name', $last_name);
			}
		}

		Activity::save($visitor['id'], 'FormSubmission', json_encode($activity_data));
	}
}
