<?php
namespace BrandCo\Plugins\KWCommand;

class Cron {

	public static function install() {
		if ( !wp_next_scheduled('visitor_activity_cron') ) {
			wp_schedule_event(time(), 'visitor_activity_interval', 'visitor_activity_cron');
		}

		if ( !wp_next_scheduled('visitor_database_cleanup') ) {
			wp_schedule_event(time(), 'hourly', 'visitor_database_cleanup');
		}

		if ( !wp_next_scheduled('visitor_activity_auth') ) {
			wp_schedule_event(time(), 'daily', 'visitor_activity_auth');
		}
	}

	public static function uninstall() {
		wp_clear_scheduled_hook('visitor_database_cleanup');
		wp_clear_scheduled_hook('visitor_activity_auth');
	}

	public static function register_interval($schedules) {
		$schedules['visitor_activity_interval'] = array(
			'interval' => 10 * 60,
			'display' => 'Every 10 minutes'
		);

		return $schedules;
	}
}
