<?php
namespace BrandCo\Plugins\KWCommand;

class Database {

	public static function install_visitors_table() {
		global $wpdb;
		$charset_collate = $wpdb->get_charset_collate();

		$table_name = $wpdb->prefix . 'visitor_activity_visitors';
		$sql = "CREATE TABLE $table_name (
			id mediumint(9) NOT NULL AUTO_INCREMENT,
			date_created datetime not null,
			first_name varchar(200),
			last_name varchar(200),
			email_address varchar(200),
			phone_number varchar(200),
			PRIMARY KEY (id)
		) $charset_collate;";

		require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
		dbDelta($sql);
	}

	public static function install_activity_table() {
		global $wpdb;
		$charset_collate = $wpdb->get_charset_collate();

		$table_name = $wpdb->prefix . 'visitor_activity_activity';
		$sql = "CREATE TABLE $table_name (
			id mediumint(9) NOT NULL AUTO_INCREMENT,
			date_created datetime not null,
			visitor_id mediumint(8) unsigned not null,
			type varchar(200),
			data longtext,
			exported boolean not null default 0,
			PRIMARY KEY (id),
			KEY visitor_id (visitor_id)
		) $charset_collate;";

		require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
		dbDelta($sql);
	}
}
