<?php
namespace BrandCo\Plugins\KWCommand;

class ElementorForms {

	public static function after_submit($instance, $ajax_handler) {
		$posted_data = $instance->get_formatted_data();

		$visitor = Visitor::get();

		$activity_data = array();
		$activity_data['elementor_form_submission'] = $posted_data;

		self::update_user_with_posted_data($posted_data, $visitor);

		Activity::save($visitor['id'], 'FormSubmission', json_encode($activity_data));
	}

	public static function update_user_with_posted_data($posted_data, $visitor) {

		if ( !empty($posted_data['Nome']) ) {
			$name = Util::parse_name($posted_data['Nome']);

			if ( !empty($name['first_name']) ) {
				$first_name = $name['first_name'];
				Visitor::update($visitor['id'], 'first_name', $first_name);
			}

			if ( !empty($name['last_name']) ) {
				$last_name = $name['last_name'];
				Visitor::update($visitor['id'], 'last_name', $last_name);
			}
		}

		if ( !empty($posted_data['Name']) ) {
			$name = Util::parse_name($posted_data['Name']);

			if ( !empty($name['first_name']) ) {
				$first_name = $name['first_name'];
				Visitor::update($visitor['id'], 'first_name', $first_name);
			}

			if ( !empty($name['last_name']) ) {
				$last_name = $name['last_name'];
				Visitor::update($visitor['id'], 'last_name', $last_name);
			}
		}

		if ( !empty($posted_data['First Name']) ) {
			$first_name = sanitize_text_field($posted_data['First Name']);
			Visitor::update($visitor['id'], 'first_name', $first_name);
		}

		if ( !empty($posted_data['First_name']) ) {
			$first_name = sanitize_text_field($posted_data['First_name']);
			Visitor::update($visitor['id'], 'first_name', $first_name);
		}

		if ( !empty($posted_data['First_Name']) ) {
			$first_name = sanitize_text_field($posted_data['First_Name']);
			Visitor::update($visitor['id'], 'first_name', $first_name);
		}

		if ( !empty($posted_data['* First Name']) ) {
			$first_name = sanitize_text_field($posted_data['* First Name']);
			Visitor::update($visitor['id'], 'first_name', $first_name);
		}

		if ( !empty($posted_data['Enter your name']) ) {
			$first_name = sanitize_text_field($posted_data['Enter your name']);
			Visitor::update($visitor['id'], 'first_name', $first_name);
		}

		if ( !empty($posted_data['First name']) ) {
			$first_name = sanitize_text_field($posted_data['First name']);
			Visitor::update($visitor['id'], 'first_name', $first_name);
		}

		if ( !empty($posted_data['Your First Name']) ) {
			$first_name = sanitize_text_field($posted_data['Your First Name']);
			Visitor::update($visitor['id'], 'first_name', $first_name);
		}

		if ( !empty($posted_data['Last Name']) ) {
			$last_name = sanitize_text_field($posted_data['Last Name']);
			Visitor::update($visitor['id'], 'last_name', $last_name);
		}

		if ( !empty($posted_data['Last_name']) ) {
			$last_name = sanitize_text_field($posted_data['Last_name']);
			Visitor::update($visitor['id'], 'last_name', $last_name);
		}

		if ( !empty($posted_data['Last_Name']) ) {
			$last_name = sanitize_text_field($posted_data['Last_Name']);
			Visitor::update($visitor['id'], 'last_name', $last_name);
		}

		if ( !empty($posted_data['* Last Name']) ) {
			$last_name = sanitize_text_field($posted_data['* Last Name']);
			Visitor::update($visitor['id'], 'last_name', $last_name);
		}

		if ( !empty($posted_data['Enter your last name']) ) {
			$last_name = sanitize_text_field($posted_data['Enter your last name']);
			Visitor::update($visitor['id'], 'last_name', $last_name);
		}

		if ( !empty($posted_data['Last name']) ) {
			$last_name = sanitize_text_field($posted_data['Last name']);
			Visitor::update($visitor['id'], 'last_name', $last_name);
		}

		if ( !empty($posted_data['Your Last Name']) ) {
			$last_name = sanitize_text_field($posted_data['Your Last Name']);
			Visitor::update($visitor['id'], 'last_name', $last_name);
		}

		if ( !empty($posted_data['Email']) ) {
			$email_address = sanitize_email($posted_data['Email']);
			Visitor::update($visitor['id'], 'email_address', $email_address);
		}

		if ( !empty($posted_data['* Email']) ) {
			$email_address = sanitize_email($posted_data['* Email']);
			Visitor::update($visitor['id'], 'email_address', $email_address);
		}

		if ( !empty($posted_data['Email Address']) ) {
			$email_address = sanitize_email($posted_data['Email Address']);
			Visitor::update($visitor['id'], 'email_address', $email_address);
		}

		if ( !empty($posted_data['Email_Address_Goes_Here']) ) {
			$email_address = sanitize_email($posted_data['Email_Address_Goes_Here']);
			Visitor::update($visitor['id'], 'email_address', $email_address);
		}

		if ( !empty($posted_data['Email_Address']) ) {
			$email_address = sanitize_email($posted_data['Email_Address']);
			Visitor::update($visitor['id'], 'email_address', $email_address);
		}

		if ( !empty($posted_data['Your Email Address']) ) {
			$email_address = sanitize_email($posted_data['Your Email Address']);
			Visitor::update($visitor['id'], 'email_address', $email_address);
		}

		if ( !empty($posted_data['Your Email']) ) {
			$email_address = sanitize_email($posted_data['Your Email']);
			Visitor::update($visitor['id'], 'email_address', $email_address);
		}

		// if ( !empty($posted_data['Telefone']) ) {
		// 	$phone_number = sanitize_text_field($posted_data['Telefone']);
		// 	Visitor::update($visitor['id'], 'phone_number', $phone_number);
		// }

		// if ( !empty($posted_data['Telefon']) ) {
		// 	$phone_number = sanitize_text_field($posted_data['Telefon']);
		// 	Visitor::update($visitor['id'], 'phone_number', $phone_number);
		// }

		if ( !empty($posted_data['Phone Number']) ) {
			$phone_number = sanitize_text_field($posted_data['Phone Number']);
			Visitor::update($visitor['id'], 'phone_number', $phone_number);
		}

		if ( !empty($posted_data['Your_Phone']) ) {
			$phone_number = sanitize_text_field($posted_data['Your_Phone']);
			Visitor::update($visitor['id'], 'phone_number', $phone_number);
		}

		if ( !empty($posted_data['Phone_Number']) ) {
			$phone_number = sanitize_text_field($posted_data['Phone_Number']);
			Visitor::update($visitor['id'], 'phone_number', $phone_number);
		}

		if ( !empty($posted_data['Phone number']) ) {
			$phone_number = sanitize_text_field($posted_data['Phone number']);
			Visitor::update($visitor['id'], 'phone_number', $phone_number);
		}

		if ( !empty($posted_data['Your Phone Number']) ) {
			$phone_number = sanitize_text_field($posted_data['Your Phone Number']);
			Visitor::update($visitor['id'], 'phone_number', $phone_number);
		}

		if ( !empty($posted_data['Your_Phone_Number']) ) {
			$phone_number = sanitize_text_field($posted_data['Your_Phone_Number']);
			Visitor::update($visitor['id'], 'phone_number', $phone_number);
		}

		if ( !empty($posted_data['Your Phone']) ) {
			$phone_number = sanitize_text_field($posted_data['Your Phone']);
			Visitor::update($visitor['id'], 'phone_number', $phone_number);
		}

		if ( !empty($posted_data['Phone']) ) {
			$phone_number = sanitize_text_field($posted_data['Phone']);
			Visitor::update($visitor['id'], 'phone_number', $phone_number);
		}

		if ( !empty($posted_data['* Phone']) ) {
			$phone_number = sanitize_text_field($posted_data['* Phone']);
			Visitor::update($visitor['id'], 'phone_number', $phone_number);
		}
	}
}
