<?php
namespace BrandCo\Plugins\KWCommand;

class GravityForms {

	public static function add_dropdown_field($position, $form_id) {
		if ( $position == 50 ) { ?>
			<li class="kw_setting field_setting" style="display: list-item;">
				<label for="kw_settings" class="section_label">KW Command Settings <?php gform_tooltip('form_field_kw_info'); ?></label>

				<ul class="kw_settings_container">
					<li>
						<select id="field_capture_kw_info" onchange="SetFieldProperty('CaptureKWInfo', this.value);">
							<option value=""></option>
							<option value="first_name">First Name</option>
							<option value="last_name">Last Name</option>
							<option value="first_and_last">First &amp; Last Name</option>
							<option value="email">Email Address</option>
							<option value="phone">Phone Number</option>
							<option value="message">Message</option>
						</select>
					</li>
				</ul>
			</li>
		<?php }
	}

	public static function editor_script() {
		?>
			<script type='text/javascript'>
				jQuery.each(fieldSettings, function(index, value) {
					fieldSettings[index] += ", .kw_setting";
				});

				jQuery(document).on('gform_load_field_settings', function(event, field, form) {
					jQuery('#field_capture_kw_info').val(field.CaptureKWInfo);
				});
			</script>
		<?php
	}

	public static function add_tooltip($tooltips) {
		$tooltips['form_field_kw_info'] = "<h6>KW Command Settings</h6>Use this setting to capture user information to be sent to your KW Command account";
		return $tooltips;
	}

	public static function after_submission($entry, $form) {
		$visitor = Visitor::get();

		$first_name = '';
		$last_name = '';
		$first_and_last = '';
		$email_address = '';
		$phone_number = '';
		$message = '';
		$entire_submission = '';

		if ( is_array($form['fields']) ) {
			foreach ( $form['fields'] as $field ) {

				// $value = rgar($entry, $field->id);
				// $source_field   = RGFormsModel::get_field( $form, $rule['fieldId'] );

				$source_field = \GFFormsModel::get_field($form, $field->id);
				$field_value    = \GFFormsModel::get_lead_field_value( $entry, $source_field );
				$_field_value = '';
				if ( is_array($field_value) ) {
					foreach ( $field_value as $_value ) {
						if ( $_value ) {
							$_field_value .= $_value . ' ';
						}
					}
				} else {
					$_field_value = $field_value;
				}
				$entire_submission .= $field->label . ': ' . $_field_value  . " <br>";

				if ( empty($field['CaptureKWInfo']) ) {

					if ( 'Email' == $field->label || 'Your Email' == $field->label || 'Email Address' == $field->label ) {
						$email_address = rgar($entry, $field->id);
						Visitor::update($visitor['id'], 'email_address', sanitize_email($email_address));
					}

					if ( 'Phone' == $field->label || 'Your Phone Number' == $field->label || 'Phone Number' == $field->label || 'Cell Phone' == $field->label ) {
						$phone_number = rgar($entry, $field->id);
						Visitor::update($visitor['id'], 'phone_number', $phone_number);
					}

					if ( 'GF_Field_Name' == get_class($field) ) {
						if ( 'Name' == $field->label || 'Your Name' == $field->label ) {
							$first_name = rgar($entry, $field->id . '.3');
							$last_name = rgar($entry, $field->id . '.6');
							Visitor::update($visitor['id'], 'first_name', $first_name);
							Visitor::update($visitor['id'], 'last_name', $last_name);
						}
					}

					if ( 'GF_Field_Text' == get_class($field) ) {
						if ( 'First Name' == $field->label || 'Your First Name' == $field->label ) {
							$first_name = rgar($entry, $field->id);
							Visitor::update($visitor['id'], 'first_name', $first_name);
						}

						if ( 'Last Name' == $field->label || 'Your Last Name' == $field->label ) {
							$last_name = rgar($entry, $field->id);
							Visitor::update($visitor['id'], 'last_name', $last_name);
						}
					}
				}

 				if ( !empty($field['CaptureKWInfo']) ) {

 					if ( $field['CaptureKWInfo'] == 'first_name' ) {
 						$first_name = rgar($entry, $field->id);
 						Visitor::update($visitor['id'], 'first_name', $first_name);
 					}

 					if ( $field['CaptureKWInfo'] == 'last_name' ) {
 						$last_name = rgar($entry, $field->id);
 						Visitor::update($visitor['id'], 'last_name', $last_name);
 					}

 					 if ( $field['CaptureKWInfo'] == 'first_and_last' ) {
 					 	$first_name = rgar($entry, $field->id . '.3');
 					 	$last_name = rgar($entry, $field->id . '.6');

 					 	if ( $first_name ) {
 					 		Visitor::update($visitor['id'], 'first_name', $first_name);
 					 	}

 					 	if ( $last_name ) {
 					 		Visitor::update($visitor['id'], 'last_name', $last_name);
 					 	}
 					}

 					if ( $field['CaptureKWInfo'] == 'email' ) {
  						$email_address = rgar($entry, $field->id);
 						Visitor::update($visitor['id'], 'email_address', sanitize_email($email_address));
 					}

 					if ( $field['CaptureKWInfo'] == 'phone' ) {
  						$phone_number = rgar($entry, $field->id);
 						Visitor::update($visitor['id'], 'phone_number', $phone_number);
 					}

 					if ( $field['CaptureKWInfo'] == 'message' ) {
  						$message = rgar($entry, $field->id);
 					}
 				}
			}
		}

		$activity_data = array();
		$activity_data['gform_entry_id'] = $entry['id'];

		if ( $first_name ) {
			$activity_data['first_name'] = $first_name;
		}

		if ( $last_name ) {
			$activity_data['last_name'] = $last_name;
		}

		if ( $first_and_last ) {
			$activity_data['first_and_last'] = $first_and_last;
		}

		if ( $email_address ) {
			$activity_data['email_address'] = $email_address;
		}

		if ( $phone_number ) {
			$activity_data['phone_number'] = $phone_number;
		}

		if ( $message ) {
			$activity_data['message'] = $message;
		}

		if ( $entire_submission ) {
			$activity_data['entire_submission'] = $entire_submission;
		}

		$activity_data['origin_plugin'] = 'Gravity Forms';

		Activity::save($visitor['id'], 'FormSubmission', json_encode($activity_data));
	}
}
