<?php
namespace BrandCo\Plugins\KWCommand;

class Javascript {

	public static function enqueue() {

		if ( !empty($_GET['elementor-preview']) ||
			is_login() ||
			is_admin() ||
			wp_is_json_request() ||
			wp_doing_cron() ) {
			return;
		}

		wp_enqueue_script('kwcmdjs', KW_COMMAND_PLUGIN_DIR_URL . 'public/kw-command.js', array('jquery'), null, true);

		$localized_data = array(
 			'siteurl' => get_option('siteurl'),
			'rest_root' => esc_url_raw(rest_url()),
			'rest_nonce' => wp_create_nonce('wp_rest'),
			'ajax' => admin_url('admin-ajax.php'),
			'ajax_nonce' => wp_create_nonce('kwcmd'),
		);

		if ( !empty($_GET['_user_email']) ) {
			$localized_data['_user_email'] = sanitize_email($_GET['_user_email']);
		}

		if ( !empty($_GET['_user_first_name']) ) {
			$localized_data['_user_first_name'] = sanitize_text_field($_GET['_user_first_name']);
		}

		if ( !empty($_GET['_user_last_name']) ) {
			$localized_data['_user_last_name'] = sanitize_text_field($_GET['_user_last_name']);
		}

		if ( !empty($_GET['_user_phone']) ) {
			$localized_data['_user_phone'] = sanitize_text_field($_GET['_user_phone']);
		}

		wp_localize_script('kwcmdjs', 'kwcmd', $localized_data);
	}
}
