<?php
namespace BrandCo\Plugins\KWCommand;

class KWCommandAuth {

	public static function refresh($install_token = '') {
		$current_time = time();
		$access_token = get_option('kw_command_settings_access_token');
		$refresh_token = get_option('kw_command_settings_refresh_token');
		$access_token_expires = get_option('kw_command_settings_access_token_expires');

		if ( $install_token ) {
			$refresh_token = $install_token;
		}

		$expires = ( $access_token_expires ) ? (int) $access_token_expires : $current_time;
		$response = '';

		if ( WP_ENV == 'live' ) {

			if ( !$refresh_token ) {
				$errors[] = array(
					'message' => 'Missing Refresh Token'
				);
			}

			if ( !$access_token || $expires < $current_time ) {

				$args = array(
					'body' => array(
						'grant_type' => 'refresh_token',
						'refresh_token' => $refresh_token
					),
					'headers' => array(
						// 'Authorization' => 'Basic VHJoRVRrcEdwZkNqRzhGWU5ySFlzZWdqZjF0cW9qdzA6VVN1UUJ2NVdmb2ZlTU12ZQ==',
						'Authorization' => 'Basic NDlJSTdvbWV2VEFxQ3AxN1plcE9WOHdnSXZHb1VxRGI6eDR3VVhEaGFmamp4dW9HeA==',
						'Content-Type' => 'application/x-www-form-urlencoded',
					),
					'timeout' => 45,
				);

				$request = wp_remote_post(KW_COMMAND_PLUGIN_ENDPOINT . '/v1/oauth2/partner/token', $args);

				// wp_mail('max@brandco.com', 'KWAUTHCHECK ' . get_option('siteurl'), print_r($args, true) . print_r($request, true));

				// if ( is_wp_error($request) || wp_remote_retrieve_response_code($request) !== 200 ) {
				// 	error_log(print_r($request, true));
				// }

				$response = wp_remote_retrieve_body($request);

				$response = json_decode($response, true);

				if ( empty($response['access_token']) ) {
					error_log(print_r($response, true));
				}

				if ( !empty($response['access_token']) ) {
					$access_token = $response['access_token'];
					$refresh_token = $response['refresh_token'];
					$expires = $current_time + (60 * 60 * 23);

					update_option('kw_command_settings_last_refresh_token', get_option('kw_command_settings_refresh_token'));
					update_option('kw_command_settings_access_token', $access_token);
					update_option('kw_command_settings_refresh_token', $refresh_token);
					update_option('kw_command_settings_access_token_expires', $expires);
				} else {
					// update_option('kw_command_settings_access_token', '');
					// update_option('kw_command_settings_refresh_token', 'error');
					update_option('kw_command_settings_access_token_expires', 0);
				}
			}
		} else {
			update_option('kw_command_settings_last_refresh_token', get_option('kw_command_settings_refresh_token'));
			update_option('kw_command_settings_access_token', 'success_test');
			update_option('kw_command_settings_refresh_token', 'success_test');
			update_option('kw_command_settings_access_token_expires', time() + 999999);
		}

		return array(
			'access_token' => $access_token,
			'refresh_token' => $refresh_token,
			'expires' => $expires,
			'response' => $response,
		);
	}
}
