<?php
namespace BrandCo\Plugins\KWCommand;

class KWCommandRequest {
	public $type;
	public $path;
	public $body = array();
	public $access_token;

	public function __construct($type, $path, $body = array()) {
		KWCommandAuth::refresh();
		$options = get_option('kw_command_settings');
		$this->type = $type;
		$this->path = $path;
		$this->body = ($this->type == 'POST') ? json_encode($body) : $body;
		$this->access_token = get_option('kw_command_settings_access_token');


		if ( defined('KW_TEST_TOKEN') ) {
			$this->access_token = KW_TEST_TOKEN;
		}
	}

	public function send_request() {
		$endpoint = $this->path;

		$args = array(
			'method' => $this->type,
			'body' => $this->body,
			'headers' => array(
				'Authorization' => 'Bearer ' . $this->access_token,
				// 'api-key' => base64_decode('VHJoRVRrcEdwZkNqRzhGWU5ySFlzZWdqZjF0cW9qdzA='),
				'api-key' => base64_decode('NDlJSTdvbWV2VEFxQ3AxN1plcE9WOHdnSXZHb1VxRGI='),
				'Content-Type' => 'application/json'
			),
			'timeout' => 45,
		);

		if ( WP_ENV !== 'live' && !defined('KW_TEST_TOKEN') ) {
			return array(
				'fake_request' => true,
				'endpoint' => $endpoint,
				'request_args' => $args,
			);
		}

		$request = wp_remote_request($endpoint, $args);

		if ( is_wp_error($request) || wp_remote_retrieve_response_code($request) !== 200 ) {
			error_log(print_r($request, true));
		}

		$response = wp_remote_retrieve_body($request);

		return json_decode($response, true);
	}
}
