<?php
namespace BrandCo\Plugins\KWCommand;

class Settings
{

	public static function add_options_page() {
		add_options_page('KW Command', 'KW Command', 'activate_plugins', 'kw_command_settings', array('BrandCo\Plugins\KWCommand\Settings', 'options_page'));
	}

	public static function options_page() {
		$access_token = get_option('kw_command_settings_access_token');
		$refresh_token = get_option('kw_command_settings_refresh_token');
		$expires = get_option('kw_command_settings_access_token_expires');
		$cookie_domain = Util::get_cookie_domain();

		if ( defined('KW_TEST_TOKEN') ) {
			$refresh_token = 'TESTING';
			$access_token = KW_TEST_TOKEN;
		}

		?>
			<script>
				(function($) {
					$(document).ready(function() {
						if ( $('#toplevel_page_wpengine-common').length  == 1 ) {
							$('.form-table').before('<div style="color: red;">WP Engine requires "wp_kwcmd_uid" cookie to be whitelisted. Please contact support.</div>')
						}
					});
				})(jQuery);
			</script>
			<div class="wrap">
				<h1>KW Command Settings</h1>

					<table class="form-table">

						<?php if ( $access_token ) : ?>
							<tr>
								<th>Connection Status</th>
								<td>
									<div class="js-kw-api-status">Checking connection...</div>
									<script>
										(function($) {
											$(document).ready(function() {

												$.ajax({
													url: ajaxurl,
													data: {
														action: 'kw_api_ping',
													},
													dataType: 'json',
													method: 'POST',
													success: function(r) {
														console.log(r);
														if ( typeof r.data.response.errorCode == 'undefined' ) {
															$('.js-kw-api-status').text('Connected!').css('color', 'green');
														} else {
															$('.js-kw-api-status').text('Error!').css('color', 'red');
														}
													},
												});

												$('.js-kw-disconnect-auth').click(function(e) {
													e.preventDefault();

													$.ajax({
														url: ajaxurl,
														data: {
															action: 'disconnect_kw_auth',
														},
														dataType: 'json',
														method: 'POST',
														beforeSend: function(){
															return confirm('Did you copy your refresh token? Confirm disconnection?');
														},
														success: function(r) {
															console.log(r);
															window.location.reload();
														},
													});
												});
											});
										})(jQuery);
									</script>
								</td>
							</tr>
							<!--
							<tr>
								<th>Access Token</th>
								<td><input type="text" readonly="readonly" value="<?php echo $access_token; ?>" style="width: 350px;"></td>
							</tr>
							<tr>
								<th>Expires</th>
								<td><input type="text" readonly="readonly" value="<?php echo $expires; ?>" style="width: 350px;"></td>
							</tr>
							-->
							<tr>
								<th>Refresh Token</th>
								<td><input type="text" readonly="readonly" value="<?php echo $refresh_token; ?>" style="width: 350px;"></td>
							</tr>

							<tr>
								<th>Cookie Domain</th>
								<td><input type="text" readonly="readonly" value="<?php echo $cookie_domain; ?>" style="width: 350px;"></td>
							</tr>

							<tr>
								<th>Connection</th>
								<td>
									<a href="#0" class="button button-primary js-kw-disconnect-auth">Disconnect</a>
									<p class="description" style="font-size: 13px;">Important! Copy your refresh token before disconnecting.</p>
								</td>
							</tr>

						<?php else : ?>
							<tr>
								<th>Connection Token</th>
								<td>
									<input type="text" name="connection_token" value="" style="width: 350px;">
									<script>
										(function($) {
											$(document).ready(function() {
												$('.js-kw-generate-auth').click(function(e) {
													e.preventDefault();

													var connection_token = $('[name="connection_token"]').val();

													if ( connection_token ) {

														$.ajax({
															url: ajaxurl,
															data: {
																action: 'refresh_kw_auth',
																connection_token: connection_token,
															},
															dataType: 'json',
															method: 'POST',
															success: function(r) {
																console.log(r);
																if ( typeof r.data.response.response.errorCode !== 'undefined' ) {
																	alert('Error, ' + r.data.response.response.message);
																} else {
																	window.location.reload();
																}
															},
														});
													}
												});
											});
										})(jQuery);
									</script>
								</td>
							</tr>
							<tr>
								<th>Connection</th>
								<td><a href="#0" class="button button-primary js-kw-generate-auth">Connect Now</a></td>
							</tr>
						<?php endif; ?>

						<!--
						<tr>
							<th>Endpoint</th>
							<td><input type="text" readonly="readonly" value="<?php echo KW_COMMAND_PLUGIN_ENDPOINT; ?>" style="width: 350px;"></td>
						</tr>
						-->

					</table>
				</form>
			</div>
		<?php
	}
}
