<?php
namespace BrandCo\Plugins\KWCommand;

class Util {

	public static function parse_name($name) {
	    $name = trim($name);
	    $last_name = (strpos($name, ' ') === false) ? '' : preg_replace('#.*\s([\w-]*)$#', '$1', $name);
	    $first_name = trim( preg_replace('#'.preg_quote($last_name,'#').'#', '', $name ) );

	    return array(
	    	'first_name' => $first_name,
	    	'last_name' => $last_name
	    );
	}

	public static function current_page_url() {
		return ( isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on' ? "https" : "http" ) . "://" . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'];
	}

	public static function get_cookie_domain() {
		$domain_parts = explode('.', $_SERVER['HTTP_HOST']);
		$cookie_domain = '.' . $domain_parts[count($domain_parts) - 2] . '.' . $domain_parts[count($domain_parts) - 1];
		return $cookie_domain;
	}
}
