<?php
namespace BrandCo\Plugins\KWCommand;

class Visitor {

	public static function get($visitor_id = '') {

		if ( !$visitor_id ) {
			$visitor_id = Cookie::get();
		}

		return self::find($visitor_id);
	}

	public static function create() {
		global $wpdb;

		$wpdb->insert("{$wpdb->prefix}visitor_activity_visitors", [
			'date_created' => gmdate('Y-m-d H:i:s'),
			'first_name' => 'Unknown',
			'last_name' => 'Unknown'
		]);

		return $wpdb->insert_id;
	}

	public static function find($visitor_id, $with_activity = true) {
		global $wpdb;
		$visitor = $wpdb->get_row($wpdb->prepare("SELECT * FROM {$wpdb->prefix}visitor_activity_visitors WHERE id = %s", array($visitor_id)), ARRAY_A);

		if ( !$visitor ) {
			return false;
		}

		// if ( $with_activity ) {
		// 	$activity = Activity::get($visitor['id']);
		// 	$visitor['activity'] = $activity;
		// }

		return $visitor;
	}

	public static function update($visitor_id, $field, $value) {
		global $wpdb;

		$wpdb->update("{$wpdb->prefix}visitor_activity_visitors", array(
			$field => $value
		), array(
			'id' => $visitor_id
		));

		do_action('visitoractivity/events/after_visitor_update', $visitor_id, $field, $value);
	}
}
